<template>
  <section id="user-details">
    <div id="user-details-inner-container" v-if="user">
      <button type="button" id="user-details-back-button"
      v-on:click="deselectUser()" name="back-button">
        Back
      </button>
      <span>
        <img :src="user.picture.large" alt="user profile picture"/>
      </span>
      <span>
        <div class="user-details-section">
          <h2>{{user.name.first}} {{user.name.last}}</h2>
          <p v-if="user.id"><strong>ID: {{user.id}}</strong></p>
        </div>
        <div class="user-details-section">
          <p>Located in {{user.location.city}}, {{user.location.country}}</p>
          <p>{{user.location.state}} {{user.location.postcode}}</p>
          <p>{{user.contact.email}}</p>
          <p>Phone number: {{user.contact.phone}}</p>
          <p>Mobile number: {{user.contact.cell}}</p>
        </div>
      </span>
    </div>
  </section>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import store from '../store';

export default defineComponent({
  props: {
    user: Object,
  },
  methods: {
    deselectUser() {
      store.commit("setSelectedUser", { user: undefined });
    },
  },
});
</script>

<style lang="scss">
#user-details {
  flex: 70%;
  position: relative;
  pointer-events: none;
  #user-details-inner-container {
    background: #161821;
    padding: 50px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: auto;
    .user-details-section{
      margin-bottom: 10px;
    }
    h2 {
      font-size: 30px;
    }
    img {
      border-radius: 50%;
      width: 128px;
      height: 128px;
      margin-bottom: 20px;
      border: solid 10px #363a4f;
      box-shadow: 0 10px 5px #0005;
    }
  }
}
#user-details-back-button {
  display: none;
  cursor: pointer;
  transition: 0.25s;
  padding: 10px 20px;
  background: #0005;
  border: none;
  position: absolute;
  top: 20px;
  right: 20px;
  &:hover {
    background: #ffffff26;
  }
}
</style>
